スポンサーサイト

 --------
上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。
カテゴリ :スポンサー広告 トラックバック(-) コメント(-)
タグ :

Debian 4.0(etch) アップグレード Part2

 2007-04-10
logo_debian[1].gif

debian etchへのアップグレードがどうも前回のでうまくいかない。

というわけでまともに調べて、やり直し。まずaptitudeを新しく。
#aptitude install aptitude
#aptitude update
したらこんなエラーが。
aptitude: symbol lookup error: aptitude: undefined symbol: _ZN9pkgPolicyD2Ev
うーん。ググりましょう。するとaptを新しくしないとだめらしく
#apt-get install apt
PGPがどうのこうの、メッセージが出たが問題なく完了したっぽい。

ここでkernelを・・・と思ってuname -rしたら2.6.12-1-686。あれ?
いつの間にか2.6系になってる(おい
しかもetchは2.6.8までらしいので(後で間違いと判明・・後述)、
どうも次のTesting(lenny)が混ざってるのかなぁ。
そういえば先週、無意味にtestingでdist-upgradeしたっけ(おい

というわけでkernelはそのままにしてもう一度。
今度は教科書通りに書いた。
#aptitude -f --with-recommends dist-upgrade

するとgnome-appletsとgnome-panelが未解決だとか言い出した。
以前X入れて遊んでいた残骸なので、サクッとPurgeしたら
gstreamerだのimagemagickだの、いっぱいゴミが一緒にPurgeされた。
で、もう一度aptitudeし直し・・・・今度はいったかな?

・・・とおもったらudevで「kernel2.6.15以上にしろ」と蹴られた。
あれぇ?etchに2.6.15以上有るのかなぁ。試しに
#aptitude install kernel-image-2.6-686
としたら、リンク先が2.6.18でやんの。
で、ブートローダーをinitrd使うように書き換えろと出たので
何とかなったっぽいね。
って、既に使うようになってるけど。

それでもう一度dist-upgrade掛けてる最中。長いなぁ。
スポンサーサイト
タグ :
コメント












管理者にだけ表示を許可する
トラックバック
トラックバックURL:

http://silver0480.blog80.fc2.com/tb.php/138-f95dedb7

≪ トップページへこのページの先頭へ  ≫
上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。